implicit real*8 (a-h, o-z) 
      pi=2.d0*asin(1.d0)
      print*,"周方向分割数"
      read*,m
      print*,"高さ方向分割数"
      read*,n
      b=53d-3*pi
      h=104.5d-3 !高さ
      r=b/(2*m*sin(pi/m))!外半径
      d=(1-cos(pi/m))*r
      dh=sqrt((h/n)**2-d**2)!一段あたりの鉛直高さ
      dh2=dh*n!出来上がった円筒の高さ
      print*,"円筒の高さ:",dh2
      atusa=0.8d-3
      print*,"変位量"
      read*,s
      p=1000d0
      k=p/s
      print*,"バネ定数は:",k
      E=2800d6
      A=(r**2-(r-(atusa/cos(pi/m)))**2)*((m*sin(2*pi/m))/2)
      o=(k*dh2)/(E*A)
      print*,"無次元化バネ定数は:",o
      end
